Search, sort and organize projects
Search, sort and organize projects. Durable editable image and video projects. Source versions use optimistic concurrency and can be opened in Studio. Required API key scopes: `projects:read`.
Authorization
apiKeyAuth Query Parameters
Return archived projects
falseReturn recoverable trash
falseSearch name, description or exact tag
Server-side sort
Value in
- "updated-desc"
- "updated-asc"
- "name-asc"
- "name-desc"
- "created-desc"
Exact folder
Exact tag
Return a cursor page when supplied
1 <= value <= 100Opaque next cursor from the previous page
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/projects"{ "success": true, "data": [ { "id": "project_01J", "name": "Launch artwork", "description": "Editable social campaign", "compositionKind": "image", "width": 1080, "height": 1080, "fps": 1, "duration": 1, "status": "ready", "createdAt": "2026-08-25T09:00:00.000Z", "updatedAt": "2026-08-25T09:05:00.000Z", "thumbnail": "https://api.jsoncut.com/media/project_01J/thumbnail", "tags": [ "launch" ], "folder": "Campaigns", "version": 3 } ]}V2 API
Explore and call the supported JsonCut API directly from the public OpenAPI contract.
Create an HTML-first video or image project POST
Create an HTML-first video or image project. Durable editable image and video projects. Source versions use optimistic concurrency and can be opened in Studio. Required API key scopes: `projects:write`.